## GogStyledObject

GogStyledObject

## Functions

GogStyle * | gog_style_new ()

## Properties

GogStyle * | style | Read / Write

## Signals

void | style-changed | Run Last

## Types and Values

| GogStyle
| GogStyledObject
| GogStyledObjectClass

## Object Hierarchy

        GObject
        ├── GOStyle
        │   ╰── GogStyle
        ╰── GogObject
            ╰── GogStyledObject
                ├── GogAxisBase
                ├── GogOutlinedObject
                ├── GogColorScale
                ├── GogGrid
                ├── GogGridLine
                ├── GogTrendLine
                ├── GogSeriesElement
                ├── GogSeries
                ╰── GogSeriesLines

## Implemented Interfaces

GogStyle implements GOPersist.

GogStyledObject implements GOStyledObject.

## Description

## Functions

### gog_style_new ()

    GogStyle *
    gog_style_new (void);

[skip]

#### Returns

the new GogStyle.

[transfer full]

## Types and Values

### GogStyle

    typedef struct _GogStyle GogStyle;

### GogStyledObject

    typedef struct _GogStyledObject GogStyledObject;

### GogStyledObjectClass

    typedef struct {
    	GogObjectClass base;

    	/* virtual */
    	void	  (*init_style)     	(GogStyledObject *obj, GOStyle *style);

    	/* signal */
    	void (*style_changed) (GogStyledObject *obj, GOStyle const *new_style);
    } GogStyledObjectClass;

#### Members

GogObjectClass `base`; | base class |
`init_style` () | intiializes the style. |
`style_changed` () | implemens the style-changed signal |

## Property Details

### The `“style”` property

      “style”                    GogStyle *

A pointer to the GOStyle object.

Owner: GogStyledObject

Flags: Read / Write

## Signal Details

### The `“style-changed”` signal

    void
    user_function (GogStyledObject *object,
                   GObject         *style,
                   gpointer         user_data)

The ::style-changed signal is emitted after the style has been changed by a call to `go_styled_object_set_style()`.

#### Parameters

object | the object on which the signal is emitted |
style | The new GOStyle |
user_data | user data set when the signal handler was connected. |

Flags: Run Last